# Class UpdateRuntimeRequest (1.17.0)

1.17.0 (latest) 1.16.0 1.15.0 1.14.0 1.13.3 1.12.0 1.11.1 1.10.5 1.9.0 1.8.0 1.7.1 1.6.1 1.5.1 1.4.4 1.3.2 1.2.1 1.1.1 1.0.0 0.4.3 0.3.2 0.2.0 0.1.2

    UpdateRuntimeRequest(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Request for updating a Managed Notebook configuration.

| ## Attributes ||
|---|---|
| **Name** | **Description** |
| `runtime` | `https://docs.cloud.google.com/python/docs/reference/notebooks/latest/google.cloud.notebooks_v1.types.Runtime` Required. The Runtime to be updated. |
| `update_mask` | `google.protobuf.field_mask_pb2.FieldMask` Required. Specifies the path, relative to `Runtime`, of the field to update. For example, to change the software configuration kernels, the `update_mask` parameter would be specified as `software_config.kernels`, and the `PATCH` request body would specify the new value, as follows: :: { "software_config":{ "kernels": \[{ 'repository': 'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag': 'latest' }\], } } Currently, only the following fields can be updated: - `software_config.kernels` - `software_config.post_startup_script` - `software_config.custom_gpu_driver_path` - `software_config.idle_shutdown` - `software_config.idle_shutdown_timeout` - `software_config.disable_terminal` |
| `request_id` | `str` Idempotent request UUID. |